package cz.moneta.test.harness.connectors.web;

public class Navigations {

    private final SeleniumWebConnector connector;

    public Navigations(SeleniumWebConnector connector) {
        this.connector = connector;
    }

    public void switchToDefaultContent() {
        connector.getDriver()
                .switchTo()
                .defaultContent();
    }

    public void navigateTo(String url) {
        connector.getDriver()
                .navigate()
                .to(url);
    }

    public void navigateRefresh() {
        connector.getDriver()
                .navigate()
                .refresh();
    }

    public void navigateBack() {
        connector.getDriver()
                .navigate()
                .back();
    }

    public void navigateForward() {
        connector.getDriver()
                .navigate()
                .forward();
    }
}
